Bug 284061 - canon_pp hangs and locks up on 2.6.19-1.2911.6.5.fc6
canon_pp hangs and locks up on 2.6.19-1.2911.6.5.fc6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-09 12:52 EDT by Frank DiPrete
Modified: 2009-01-08 23:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:53:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank DiPrete 2007-09-09 12:52:07 EDT
Description of problem:

Running sane 1.0.18-15 on Fedora 6 from rpm.
Scanner is detected and found.
After starting a scan, it will run for a bit then just hang.
client locks up.

Same behavior using xsane in calibrate, preview, and scan.

tried parport set to AT, ECP, and DMA mode. same result.
Tried init set to auto and FB620P - sme result.
Runing as "root"

Used to work on Fc4.


dll.conf:

# enable the next line if you want to allow access through the network:
#net
canon_pp
#hpaio

canon_pp:

cat: canon_pp: No such file or directory
[root@thurston sane.d]# cat canon_pp.conf 
# Define which port to use if one isn't specified - you should only have 
# one of these lines!
# This is the default port to be used - others will be detected
ieee1284 parport0


# Define the location of our pixel weight file, can begin with ~/ if needed.
# You can have as many of these as you like - lines with ports that don't exist
# will be ignored.
#
# Parameters are:
# calibrate /path/to/calibration-file port-name
#
# The format of port-name is dependant on your OS version.
#
# If a file isn't speficied, the default name will be
# ~/.sane/canon_pp-calibration-[port-name]

calibrate ~/.sane/canon_pp-calibration-pp0 parport0

# calibrate /etc/sane/my_calibration parport1


# Enable the next line if you're having trouble with ECP mode such as I/O 
# errors.  Nibble mode is slower, but more reliable.

#force_nibble

# Set a default initialisation mode for each port.  Valid modes are:
# AUTO          (attempts to automatically detect by trying both methods)
# FB620P        (10101010 style.. also works for FB320P)
# FB630P        (11001100 style.. also works for FB330P, N340P, N640P)

init_mode AUTO parport0
# init_mode FB620P parport0


Version-Release number of selected component (if applicable):

kernel:

2.6.19-1.2911.6.5.fc6 #1 SMP

rmps:

sane-backends-libs-1.0.18-15.fc6
xsane-gimp-0.994-2.fc6
xsane-0.994-2.fc6
sane-backends-1.0.18-15.fc6
sane-frontends-1.0.14-1.2.2
libsane-hpaio-1.7.4a-2.fc6


How reproducible:

Always

Steps to Reproduce:
1. run xsane or scanimage
2. try to scan an image
3.
  
Actual results:

sane backend hangs, locks up application


Expected results:

a scan.

Additional info:
Comment 1 Nils Philippsen 2007-09-10 02:56:58 EDT
Please update your system and check whether the problem still persists, e.g.
there's the new kernel-2.6.22.4-45.fc6 package. We should rule out problems that
have been fixed already.
Comment 2 Frank DiPrete 2008-02-15 20:23:45 EST
problem persists on fc7
Linux thurston 2.6.23.15-80.fc7 #1 SMP 

[root@thurston ~]# ppdiag
S01: parport built as module
 
S02: parport0:
S02:    modes:PCSPP,TRISTATE
S02:    ADDR :0x378
S02:    IRQ  :7
S02:    DMA  :no DMA used
 
S03: no parport parameters
 
S10: ppdev built as module
 
S12: /dev/parport0 exists ...
S12: /dev/parport0 is readable ...
S12: /dev/parport0 is writable ...
S12: do you want to allow any user to access ppdev ? (yes/no)

Comment 3 Frank DiPrete 2008-02-15 20:24:29 EST
kernel detects the pp mode incorrectly and has since fc4
Comment 4 Nils Philippsen 2008-02-18 05:42:41 EST
Hm, seems there's no way to do this in sane-backends, bumping product version
and moving to kernel.
Comment 5 Frank DiPrete 2008-02-18 09:24:20 EST
I am guessing that this is what the problem may be:

parport_pc.c:

	/* Check for Intel bug. */
	if (priv->ecr) {
		unsigned char i;
		for (i = 0x00; i < 0x80; i += 0x20) {
			ECR_WRITE (pb, i);
			if (clear_epp_timeout (pb)) {
				/* Phony EPP in ECP. */
				return 0;
			}
		}
	}
Comment 6 Frank DiPrete 2008-02-18 10:52:38 EST
rem'd out the code above, rebuild kernel modules.

with port set to ecp and xsane cacnon_pp.conf set "force nibble"


ppdiag
S01: parport built as module
 
S02: parport0:
S02:    modes:PCSPP,TRISTATE,EPP
S02:    ADDR :0x378
S02:    IRQ  :7
S02:    DMA  :1
 
S03: no parport parameters
 
S10: ppdev built as module
 
S12: /dev/parport0 exists ...
S12: /dev/parport0 is readable ...
S12: /dev/parport0 is writable ...



diff:
diff parport_pc.c parport_pc.c.bak
1913c1913
<       /* Check for Intel bug. 
---
>       /* Check for Intel bug. */
1919c1919
<                               * Phony EPP in ECP.
---
>                               /* Phony EPP in ECP. */
1924d1923
<       */
Comment 7 Bug Zapper 2008-05-14 10:18:37 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Frank DiPrete 2008-05-17 09:49:38 EDT
same problen in fedora 8
broken since fedora 5
Comment 9 Peter van Egdom 2008-06-02 15:21:14 EDT
Changing version from "7" to "8".
Comment 10 Bug Zapper 2008-11-26 02:46:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-08 23:53:10 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.